##########################################################
# Fedora Core Planner RPM SPEC file
##########################################################

##################################
# Package Info
##################################
Summary:   A graphical project management tool.
Name:      planner
Version:   0.13
Release:   4.1
URL:       http://planner.imendio.org
License:   GPL
Group:     Applications/Productivity
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: mrproject libmrproject libmrproject-devel

########################
Requires:  gtk2 >= 2.2.0, libgnomeui >= 2.0.1, popt >= 1.5, libglade2 >= 2.0.0
Requires:  gnome-vfs2 >= 2.0.2, libgnomeprintui22 >= 2.2.0, libxslt >= 1.0
Requires:  shared-mime-info
PreReq:	   scrollkeeper >= 0.3.10


########################
BuildRequires: gtk2-devel >= 2.2.0, libgnomeui-devel >= 2.0.1 
BuildRequires: libglade2-devel >= 2.0.0, gnome-vfs2-devel >= 2.0.2
BuildRequires: libgnomeprintui22-devel >= 2.2.0, libxml2-devel >= 2.5.4
BuildRequires: libxslt-devel >= 1.0.27, intltool, autoconf, automake17
BuildRequires: libtool, gettext, libgsf-devel, gtk-doc, pygtk2-devel
BuildRequires: scrollkeeper, glib2-devel, evolution-data-server


##################################
# Sources
##################################

# http://ftp.gnome.org/pub/GNOME/sources/planner/0.11/planner-0.11.tar.bz2
Source0: %{name}-%{version}.tar.bz2

Patch0: planner-0.12-desktop-fix.patch
Patch1: planner-0.13-enableeds.patch


##################################
# Description
##################################
%description
Planner is a visual project management application which allows users to
manage several aspects of a project, including schedule tracking using
Gantt charts.

You should install Planner if you wish to manage schedules, allocate
resources, and track the progress of your projects.

%package devel
Summary: Libraries and include files for developing with planner
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: pkgconfig >= 0.8, glib2-devel, libxml2-devel, libgsf-devel

%description devel
This package provides the necessary development libraries and include
files to allow you to develop with planner.

%package eds
Summary: planner integration with evolution
Group: Applications/Productivity
Requires: %{name} = %{version}

%description eds
This package provides a plugin to integration planner and evolution


##################################
# Prep/Setup
##################################
%prep
%setup0 -q

%patch0 -p1 -b .desktop-fix
%patch1 -p1 -b .enableeds

##################################
# Build
##################################
%build

# aclocal-1.7
automake-1.7
# intltoolize --force
intltoolize
libtoolize --force
autoconf
%configure --enable-python --enable-gtk-doc --disable-dotnet --disable-update-mimedb --enable-eds --enable-eds-backend

make


##################################
# Install
##################################
%install
rm -rf "%{buildroot}"

%makeinstall

#desktop-file-install --vendor imendio --delete-original       \
#  --dir %{buildroot}%{_datadir}/applications             \
#  --add-category X-Red-Hat-Base                             \
#  %{buildroot}%{_datadir}/applications/%{name}.desktop

/bin/rm -rf %{buildroot}/var/scrollkeeper
/bin/rm -f %{buildroot}/%{_libdir}/*.la
/bin/rm -f %{buildroot}/%{_libdir}/%{name}/file-modules/*.la
/bin/rm -f %{buildroot}/%{_libdir}/%{name}/storage-modules/*.la
/bin/rm -f %{buildroot}/%{_libdir}/%{name}/plugins/*.la
/bin/rm -f %{buildroot}/%{_libdir}/%{name}/views/*.la
/bin/rm -f %{buildroot}/%{_libdir}/%{name}/*.la
/bin/rm -f %{buildroot}/%{_libdir}/python*/site-packages/gtk-2.0/*.la
/bin/rm -f %{buildroot}/%{_libdir}/%{name}/storage-modules/libstorage-sql*
/bin/rm -f %{buildroot}/%{_libdir}/%{name}/plugins/libsql-plugin*
/bin/rm -f %{buildroot}/%{_libdir}/evolution-data-server-1.2/extensions/*.la
/bin/rm -f %{buildroot}/%{_libdir}/evolution/2.6/plugins/*.la

/bin/rm -f %{buildroot}/%{_datadir}/mime/XMLnamespaces
/bin/rm -f %{buildroot}/%{_datadir}/mime/globs
/bin/rm -f %{buildroot}/%{_datadir}/mime/magic
/bin/rm -f %{buildroot}/%{_datadir}/mime/application/*
/bin/rm -f %{buildroot}/%{_datadir}/doc/%{name}/*.sql

%find_lang %{name}


##################################
# Post-install
##################################
%post
/sbin/ldconfig
scrollkeeper-update
if (update-mime-database -v &> /dev/null); then
	update-mime-database "%{_datadir}/mime" > /dev/null
fi


##################################
# Post-Uninstall
##################################
%postun
/sbin/ldconfig
scrollkeeper-update
if (update-mime-database -v &> /dev/null); then
	update-mime-database "%{_datadir}/mime" > /dev/null
fi


##################################
# Clean
##################################
%clean
rm -rf "$RPM_BUILD_ROOT"

##################################
# Files
##################################
%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog NEWS README COPYING
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/file-modules
%{_libdir}/%{name}/storage-modules
%{_libdir}/%{name}/views
%{_libdir}/%{name}/*.so
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/libhtml-plugin.so
%{_libdir}/%{name}/plugins/libmsp-plugin.so
%{_libdir}/%{name}/plugins/libxmlplanner-plugin.so
%{_libdir}/lib%{name}-1*
%{_libdir}/python*/site-packages/gtk-2.0/*
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_datadir}/%{name}
%{_datadir}/doc/%{name}/*
%{_datadir}/icons/hicolor/48x48/mimetypes/*.png
%{_datadir}/application-registry/*
%{_datadir}/mime-info/*
%{_datadir}/mime/packages/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_datadir}/gtk-doc/html/lib%{name}
%{_datadir}/gnome/help/%{name}/*
%{_datadir}/omf/%{name}/%{name}-C.omf

%files eds
%defattr(-,root,root)
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/libeds-plugin.so
%dir %{_libdir}/evolution-data-server-1.2
%dir %{_libdir}/evolution-data-server-1.2/extensions
%{_libdir}/evolution-data-server-1.2/extensions/libecalbackendplanner.*
%dir %{_libdir}/evolution
%dir %{_libdir}/evolution/2.6
%dir %{_libdir}/evolution/2.6/plugins
%{_libdir}/evolution/2.6/plugins/liborg-gnome-planner-source.so
%{_libdir}/evolution/2.6/plugins/org-gnome-planner-source.eplug

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}-1.0
%{_libdir}/pkgconfig/*

##################################
# Changelog
##################################
%changelog
* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.13-4.1
- bump again for double-long bug on ppc(64)

* Thu Feb 09 2006 Caolan McNamara <caolanm@redhat.com> - 0.13-4
- rebuild

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.13-3.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Feb 06 2006 Caolan McNamara <caolanm@redhat.com> - 0.13-3
- rh#179781# add evolution data server plugin

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Mar 30 2005 Caolan McNamara <caolanm@redhat.com> - 0.13-2
- fiddle Requires

* Thu Mar 24 2005 Dan Williams <dcbw@redhat.com> - 0.13-1
- Update to 0.13

* Wed Mar  2 2005 Caolan McNamara <caolanm@redhat.com> - 0.12.1-4
- rebuild with gcc4

* Mon Nov  8 2004 Jeremy Katz <katzj@redhat.com> - 0.12.1-3
- rebuild against python 2.4

* Fri Oct 22 2004 Dan Williams <dcbw@redhat.com> 0.12.1-2
- #rh136296# fix libxml2-devel BuildRequires

* Thu Sep 23 2004 Jonathan Blandford <jrb@redhat.com> 0.12.1-1
- new version

* Wed Sep 22 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- add ldconfig calls to post/postun

* Sun Sep 19 2004 Dan Williams <dcbw@redhat.com> 0.12-5
- Add BuildReq scrollkeeper again (#124184, #111145)
- Add Requires shared-mime-info for update-mime-database
- Fix up planner's .desktop file (#132566)

* Tue Aug 31 2004 Warren Togami <wtogami@redhat.com> 0.12-3
- #131285 proper find_lang usage

* Wed Aug 18 2004 Warren Togami <wtogami@redhat.com> 0.12-2
- BuildReq libtool, gettext, gtk-doc, libgsf-devel, pygtk2-devel

* Thu Aug  5 2004 Dan Williams <dcbw@redhat.com> 0.12-1
- Update to 0.12
- Sync specfile with Imendio specfile
- Add BuildRequires: scrollkeeper (RH #124184)
- Add obsoletes: libmrproject-devel

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Apr 8 2004 Dan Williams <dcbw@redhat.com> 0.11-1
- Initial Release of 0.11 RPMs
